This discussion is archived
8 Replies Latest reply: Jan 7, 2013 12:51 AM by rmonk RSS

Java Update Problem with Forms 11g

864019 Newbie
Currently Being Moderated
Hi All,

We use Oracle Forms 11g as our Application Server has java 6 with update 31 where End users machines have updated Java 7 update 9.

When users access the Forms Application there are getting a warning message box saying Application would like to use an old version of Java that is not installed on your system.

Giving options Run With the latest version or Cancel.

When I click the Run with the latest version our application is opened and getting struck. Not allowing to do any operations.

What I have to do to make our application runs as normally????

Please help me.

Thanks,
maddy
  • 1. Re: Java Update Problem with Forms 11g
    Michael Ferrante (Oracle) Guru Moderator
    Currently Being Moderated
    You didn't mention which Forms version you are using. The only version currently supported to use Java7 is 11.1.1.6. As for the wanring abou which version to use, that is determined by your own configuration. Take a look at the formsweb.cfg. It is in this file where you set the value of the JRE which you want your application to use. My current recommendation is that where ever possible, JRE7 should be uninstalled until it has been certified for use. Although unrelated to what you are seeing, I also recommend uninstalling ALL installed JREs which you are not using. For example, older versions.
  • 2. Re: Java Update Problem with Forms 11g
    ccortez Journeyer
    Currently Being Moderated
    Your installation is certified with jdk 1.7 only if you are using Forms 11g 11.1.1.6 in combination with Weblogic 10.3.6 otherwise it's not certified with jdk 1.7

    http://www.oracle.com/technetwork/middleware/ias/downloads/fusion-certification-100350.html

    Regards
    Carlos
  • 3. Re: Java Update Problem with Forms 11g
    864019 Newbie
    Currently Being Moderated
    Thanks for your response.

    I unable to understand Certification xls.

    I use Forms [32 Bit] Version 11.1.1.4.0 (Production) and Weblogic 10.3.4.

    Is Java 1.7 is certified for this version of Forms???????


    Thanks,
    maddy
  • 4. Re: Java Update Problem with Forms 11g
    ccortez Journeyer
    Currently Being Moderated
    Hi,
    I unable to understand Certification xls.
    I use Forms [32 Bit] Version 11.1.1.4.0 (Production) and Weblogic 10.3.4.
    The matrix certification shows you the versions of Forms under the column "Version Supported" from there you can find information like OS, JDK etc.
    In your case there is not an installation type like "ALL" for 11.1.1.4 but you can use the information from 11.1.1.1 as you can see a "+" symbol, so look for the column's label with "JDK Vendor Version* 11gR1 (11.1.1.4)" and line with "ALL" and you willl see that Forms's version 11.1.1.4 is certificated with a Oracle JDK 1.6.0_21+
    Is Java 1.7 is certified for this version of Forms???????
    Not it is not, Java 1.7 is only certificated with Forms 11.1.1.6 as you can see in the line with "11gR1 (11.1.1.6+)" under the column "Version Supported" in combination with column's label "JDK Vendor Version* 11gR1 (11.1.1.6)"

    Hope this helps you :)

    Regards
    Carlos
  • 5. Re: Java Update Problem with Forms 11g
    864019 Newbie
    Currently Being Moderated
    I am bit confused here.

    Our client machine have JRE 1.7 update 9 and Application Server has JDK 1.6 update 21.

    In this Case as per Certification matrix, Forms 11.1.1.4 should be run on the Client machine as Client has JRE 1.7 update 9

    But Our users(Client) machines the Forms Application getting hang and End Users access Forms Application using Internet Browser 8.


    Thanks,
    maddy

    Edited by: maddy on 15-Nov-2012 04:50
  • 6. Re: Java Update Problem with Forms 11g
    Michael Ferrante (Oracle) Guru Moderator
    Currently Being Moderated
    The server side java version has nothing to do with the client side java version. The botom line is that Java 7 on the client is NOT certified for use with any Forms version except 11.1.1.6, at this time. If you have Java 7 installed on the client, I would recommend uninstalling it and installing 1.6.0_37. We are hoping for new certifications with Java 7 soon, however they will likely apply to newer releases and not older ones.
  • 7. Re: Java Update Problem with Forms 11g
    874824 Newbie
    Currently Being Moderated
    hello,

    we face this problem before. we are using forms 11gR2.

    in our case i updated the jdk 1.6_35 from the application server and installed the weblogic server 10.3.5.

    now we dont problem with 1.7 or latest version of JRE installed in all clients.
    but dont know it if it works on your version.

    But as Mr. Michale said oracle not yet certified this. just uninstall the 1.7 version and prevent them to update.



    Edited by: user1111215 on Nov 15, 2012 10:08 AM
  • 8. Re: Java Update Problem with Forms 11g
    rmonk Newbie
    Currently Being Moderated
    I noticed that the first patch set for Forms 11gR2 11.1.2.1 has been released, certified for JRE7
    Announcing Oracle Forms & Reports 11g Release 2 (11.1.2.1.0) [ID 1503701.1]

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points